.logout-button {
  font-size: 2rem;
  color: #212a39;
}

.sidebar {
  overflow-y: scroll;
  padding-top: 74px;
}

.bg-sidebar {
  background-color: #212a39;
}

.sidebar .app-brand {
  min-height: 73px;
  position: fixed;
  top: 0;
  z-index: 998;
}

.sidebar li > a .caret::before {
  content: '\f0142';
}

.breadcrumb-item + .breadcrumb-item::before {
  content: '\f0764';
}

tbody tr td {
  color: #1b223c;
  cursor: default;
}

.breadcrumb-wrapper h1, .breadcrumb-wrapper .breadcrumb-item{
  cursor: default;
}

.card-header:first-child {
  cursor: default;
}

.form-group .form-control.is-invalid, .input-group .form-control.is-invalid {
  border-color: #fe5461;
  padding-right: calc(1.5em + 1.18rem);
}

.select2-container--sleek .select2-selection--single {
  background-color: white;
  border: 1px solid #ced4da;
  border-radius: 0.25rem;
  height: calc(1.5em + 1.18rem + 2px);
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.select2-container--sleek.select2-container--disabled .select2-selection--single {
  background-color: #e9ecef;
  cursor: default;
}

.select2-container--sleek:has(+ .invalid-feedback) .select2-selection--single{
  border-color: red;
}

.select2-container--sleek .select2-selection--single .select2-selection__rendered {
  padding: 0.59rem 30px 0.59rem 1rem;
}

.select2-container--sleek.select2-container--open.select2-container--below .select2-selection--single {
  border-bottom: none;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.select2-container--sleek.select2-container--open.select2-container--above .select2-selection--single {
  border-top: none;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.select2-container--sleek .select2-selection--single .select2-selection__rendered {
  color: #495057;
  line-height: 1.5;
  font-size: 0.875rem;
  font-weight: 400;
}

.select2-container--sleek .select2-selection--single .select2-selection__arrow {
  height: 40px;
  position: absolute;
  top: 1px;
  right: 1px;
  width: 30px;
}

.select2-container--sleek .select2-selection--single .select2-selection__arrow b {
  border-color: #888 transparent transparent transparent;
  border-style: solid;
  border-width: 5px 4px 0 4px;
  height: 0;
  left: 50%;
  margin-left: -4px;
  margin-top: -2px;
  position: absolute;
  top: 50%;
  width: 0;
}

.select2-container--sleek.select2-container--open .select2-selection--single .select2-selection__arrow b {
  border-color: transparent transparent #888 transparent;
  border-width: 0 4px 5px 4px;
}

.select2-container--sleek .select2-selection__clear {
  padding: 1px 5px;
  margin-right: 7px;
  border-radius: 3px;
  border: 1px solid #212a39;
  font-weight: bold;
  background-color: #212a39;
  color: white;
}

.select2-container--sleek .select2-selection__clear:hover {
  border-radius: 3px;
  /*border: 1px solid #212a39;*/
  background-color: white;
  color: #212a39;
}

.select2-container--sleek .select2-dropdown {
  border: 1px solid #ced4da;
}

.select2-container--sleek .select2-results > .select2-results__options {
  max-height: 200px;
  overflow-y: auto;
}

.select2-container--sleek .select2-results__option[aria-selected="true"] {
  background-color: #ddd;
}

.select2-container--sleek .select2-results__option--highlighted[aria-selected] {
  background-color: #1b223c;
  color: white;
}

.select2-container--sleek .select2-results__option {
  color: #495057;
}

.input-group .form-control, .input-group > .input-group-append > .input-group-text {
  border-color: #ced4da;
}

.form-group .input-group .form-control,.form-group .input-group > .input-group-append > .input-group-text {
  border-color: #e5e9f2;
}

.form-group .input-group .form-control,.form-group .input-group > .input-group-append > .input-group-text {
  border-color: #e5e9f2;
}

.form-group .input-group .form-control.is-invalid {
  border-color: #fe5461;
  margin-bottom: 0;
}

.form-group .input-group {
  margin-bottom: 0;
}

label {
  text-transform: none;
}

.card-body > table {
  border: 0;
}

.card-body > table thead tr th {
  border-top: 0;
}

.card-body > table tr th:first-child, .card-body > table tr td:first-child {
  border-left: 0;
}

.card-body > table tr th:last-child, .card-body > table tr td:last-child {
  border-right: 0;
}

.card-body > table tr:last-child td {
  border-bottom: 0;
}

table tr:last-child td[colspan], table tr:last-child td[colspan]:hover {
  background-color: white;
}

.header-fixed .page-wrapper {
  padding-top: 50px;
}

.navbar {
  min-height: 50px;
}

.breadcrumb-wrapper {
  margin-bottom: 16px;
}

.table td {
  vertical-align: middle;
  padding: 0.3rem;
}

.indic-htmx {
  z-index: 100;
  width: 100%;
  height: 100%;
  display: none;
  justify-content: center;
  align-items: center;
  position: absolute;
  background-color: #212a39b8;
  border-radius: calc(0.25rem - 1px);
}

.indic-htmx.htmx-request {
  display: flex;
}

.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #fff;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #fff transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

